Bug 95600 - Modify a cell that contains URL in Calc; unable to modify hyperlink in formula bar
Summary: Modify a cell that contains URL in Calc; unable to modify hyperlink in formul...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 96106 106641 (view as bug list)
Depends on:
Blocks: Calc-Formula-Bar Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2015-11-05 11:00 UTC by Antonio Gómez
Modified: 2018-10-27 20:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
hyperlink icon (22.24 KB, image/png)
2015-11-05 19:26 UTC, raal
Details
LibreOffice5_Calc_URL (39.46 KB, image/png)
2015-11-06 07:33 UTC, Antonio Gómez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Gómez 2015-11-05 11:00:18 UTC
I insert a URL in a cell. When I try to change it and add something different always appended to the end of the text and I have to delete all URL and recreate it again. For example, if I write "http://www.google.es" and I want to modify it and I put "http://www.google2.es" the software makes me "http://www.google.es2"
Comment 1 raal 2015-11-05 19:26:05 UTC
Created attachment 120307 [details]
hyperlink icon

How do you edit URL? Are you using hyperlink icon?
Comment 2 Antonio Gómez 2015-11-06 07:33:03 UTC
Created attachment 120314 [details]
LibreOffice5_Calc_URL
Comment 3 Antonio Gómez 2015-11-06 07:33:48 UTC
I no use hiperlink icon, I use bar formula
Comment 4 raal 2015-11-06 08:47:19 UTC
I can confirm with LO 5.0.2.2 win7, Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89) and Version: 5.1.0.0.alpha1+
Build ID: 8bde421ccec9c10fe1382ad68485852889dd4c74

Editing hyperlink via icon works correct.
Comment 5 Antonio Gómez 2015-11-06 08:49:56 UTC
Ok, thanks..
Comment 6 Julien Nabet 2015-11-28 21:47:20 UTC
*** Bug 96106 has been marked as a duplicate of this bug. ***
Comment 7 QA Administrators 2017-01-03 19:36:37 UTC Comment hidden (obsolete)
Comment 8 Alex Thurgood 2017-10-03 08:15:15 UTC
*** Bug 106641 has been marked as a duplicate of this bug. ***
Comment 9 Alex Thurgood 2017-10-03 08:19:51 UTC
Still there in 

Version: 6.0.0.0.alpha0+
Build ID: 4bf3b4ee48c4e3556e257aa77940f68c13b05b54
CPU threads: 4; OS: Mac OS X 10.13; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 10 John 2017-10-03 09:43:35 UTC
Part solution?: I have been told by "Which? Computing", which does not address all the anomalies, the following regarding Autocorrect Options (these I have changed as suggested by them):

The program tends to recognise text with dots as links, and automatically insert them as such, due to one of its settings. Although you can remove the hyperlink created with CTRL+Z, it will do it again the next time, as long as this setting is still active.

To deactivate it, please see these steps:

Load a document of the type for which you want to modify the URL recognition.
If you want to modify the URL recognition for text documents, open a text document.
Choose Tools - (AutoCorrect) - AutoCorrect Options.
In the AutoCorrect dialog, select the Options tab.
If you unmark URL Recognition, words will no longer be automatically replaced with hyperlinks.
In LibreOffice Writer there are two check boxes in front of URL Recognition. The box in the first column is for later post-editing and the box in the second column is for AutoCorrect as you type.
Comment 11 QA Administrators 2018-10-04 02:55:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug